> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/insights/share-of-voice

> Generate a share of voice insight



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json post /preview/retail-media/insights/share-of-voice
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/insights/share-of-voice:
    post:
      tags:
        - Analytics
      summary: /preview/retail-media/insights/share-of-voice
      description: Generate a share of voice insight
      operationId: GenerateShareOfVoiceInsight
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ShareOfVoiceInsightRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AsyncInsightResponse'
      security:
        - oauth:
            - RetailMedia_Analytics_Read
components:
  schemas:
    ShareOfVoiceInsightRequest:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ShareOfVoiceInsightResource'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    AsyncInsightResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/InsightStatusResponseResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        entity.
    ShareOfVoiceInsightResource:
      required:
        - attributes
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/ShareOfVoiceInsight'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    InsightStatusResponseResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/InsightStatusResponse'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    ShareOfVoiceInsight:
      required:
        - accountId
        - dimensions
        - endDate
        - metrics
        - startDate
      type: object
      properties:
        accountId:
          type: string
        accountIds:
          type: array
          items:
            type: string
          nullable: true
        activationPlatforms:
          type: array
          items:
            enum:
              - commerceMax
              - privateMarket
            type: string
          nullable: true
        aggregationLevel:
          enum:
            - category
            - keyword
          type: string
          default: category
        brandIds:
          type: array
          items:
            type: string
          nullable: true
        budgetModels:
          type: array
          items:
            enum:
              - criteoBudget
              - retailerBudget
            type: string
          nullable: true
        campaignType:
          enum:
            - all
            - onsiteSponsoredProducts
            - onsiteDisplay
          type: string
          default: all
        dimensions:
          minItems: 1
          type: array
          items:
            enum:
              - date
              - accountId
              - accountName
              - retailerId
              - retailerName
              - brandId
              - brandName
              - campaignId
              - campaignName
              - buyType
              - skuId
              - skuName
              - lineItemId
              - lineItemName
              - pageTypeId
              - pageTypeName
              - productGtin
              - productMpn
              - productCategory
              - servedCategory
              - keyword
              - keywordType
              - campaignType
              - creativeType
              - adFormat
              - creativeName
              - environment
              - budgetModel
              - activationPlatform
            type: string
        endDate:
          type: string
          format: date-time
        format:
          enum:
            - json
            - json-compact
            - json-newline
            - csv
          type: string
          default: json-compact
        keywords:
          type: array
          items:
            type: string
          nullable: true
        keywordTypes:
          type: array
          items:
            enum:
              - unknown
              - generic
              - branded
              - conquesting
            type: string
          nullable: true
        metrics:
          minItems: 1
          type: array
          items:
            enum:
              - impressions
              - clicks
              - grossClicks
              - spend
              - cpc
              - ctr
              - cpm
              - roas
              - attributedSales
              - attributedUnits
              - assistedUnits
              - assistedSales
              - exposedUsers
              - impressionShare
              - clickShare
              - invalidClicks
            type: string
        retailerIds:
          type: array
          items:
            type: string
          nullable: true
        servedCategories:
          type: array
          items:
            type: string
          nullable: true
        startDate:
          type: string
          format: date-time
      additionalProperties: false
      description: Description of a Share of voice insight
    InsightStatusResponse:
      type: object
      properties:
        createdAt:
          type: string
          nullable: true
        expiresAt:
          type: string
          nullable: true
        fileSizeBytes:
          type: integer
          format: int64
          nullable: true
        md5CheckSum:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
        rowCount:
          type: integer
          format: int32
          nullable: true
        status:
          enum:
            - Unknown
            - Pending
            - Success
            - Failure
            - Expired
            - Invalidated
          type: string
          description: Status of an async insight request
          nullable: true
      additionalProperties: false
      description: Status of an async insight request
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````